Subject: Re: [PATCH v2 0/7] Drop support for git rebase --preserve-merges

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Sep 2021 15:25:13 -0700

"Johannes Schindelin via GitGitGadget" <[email-masked]>
writes:

> In 427c3bd28ab (rebase: deprecate --preserve-merges, 2019-03-11) (which was
> included in v2.22.0), we officially deprecated the --preserve-merges
> backend. Over two years later, it is time to drop that backend, and here is
> a patch series that does just that.

A good goal.  There is no remaining use case where (a fictitious and
properly working version of) "--preserve-merges" option cannot be
replaced by "--rebase-merges", is it?  I somehow had a feeling that
the other Johannes (sorry if it weren't you, j6t) had cases that the
former worked better, but perhaps I am mis-remembering things.

Thanks.